import React, {
  useState,
  useCallback,
  useEffect,
} from 'react';
import ReactDOM from 'react-dom';
//import {} from 'd3';

import { useData } from './useData';

import { Marks } from './Marks';
//window size to be use
const width = 950;
const height = 550;
// read the data
const App = () => {
  const data = useData();
  if (!data) {
    return <p>wait!!</p>;
  }

  return (
    // make model drawinf of the data using Marks 
    <svg width={width} height={height}>
      <Marks
        data={data}
      
      />
    </svg>
  );
};
//draw the data
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
